package net.northking.cctp.upperComputer.driver.ios;


import java.io.InputStream;
import java.io.OutputStream;

/**
 * 与设备端口连接的Socket流包装
 * <br>
 * 可能是本地，可能是转发
 */
public interface DeviceSocketStream {
    /**
     * 获得输入流
     *
     * @return 输入流
     */
    InputStream getInputStream();

    /**
     * 获得输出流
     *
     * @return 输出流
     */
    OutputStream getOutputStream();

    /**
     * 尝试关闭连接
     */
    void close() throws Exception;
}